Subject: ANNOUNCE: Text::Boilerplate-0.08
From: Steve Nelson <[email-masked]>
Date: 2 Jun 1997 14:39:47 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Greetings all...

This posting announces the alpha release of Text::Boilerplate, a Perl
module allowing scripts to format output using special template files. 
Boilerplates let you separate what a script does from what its output
looks like, using a simple mark-up language which is easy for
non-programmers to learn. 

Generally, I use Text::Boilerplate to create CGI scripts which output
NTML, although it can be used for almost any formatting task.  Instead
of hard-coding the HTML code into the script, I place the HTML in a
separate file, and replace the items that the script should interpolate
with Boilerplate tags.  Keeping the HTML separate from the script itself
makes maintaining scripts far easier.

Text::Boilerplate is similar to preprocessing modules such as
Text::Template and Text::Vpp.  It offers the following additional
features:

* Designers use an HTML-like markup system to create boilerplate files.

* Repeating blocks-- designers can specify that a block of text should
be repeated for every element of a list, making HTML table and list
creation far easier.

* Efficiency: Boilerplates are translated into Perl code on
initialization, speeding up the process of filling them in.

Text::Boilerplate is still in alpha; use it at your own risk, and expect
changes to future releases.  It's available from:

http://www.slip.net/~senelson/

This site contains HTMLized documentation and the latest version of the
Text::Boilerplate module.  I'd very much appreciate any comments as to
how to improve the module or the documentation; please send such to
[email-masked].